Bug 9985 - Installer should not wipe-out original /etc/lilo.conf
Summary: Installer should not wipe-out original /etc/lilo.conf
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 6.2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2000-03-05 18:57 UTC by Steve Coile
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-05-31 20:53:17 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Coile 2000-03-05 18:57:53 UTC
It appears that the installer does little or nothing to merge the existing
/etc/lilo.conf with the new copy during an upgrade.  On servers, this is
potentially problematic if a custom kernel is required for the server.
Better to migrate the existing "linux" stanza to "linux.old" and keep as
much else intact rather than generating an entirely new configuration.

Comment 1 Michael Fulbright 2000-03-07 19:11:59 UTC
Moved to future feature list.

Comment 2 Erik Troan 2000-05-31 20:51:29 UTC
Fixed for next release.


Note You need to log in before you can comment on or make changes to this bug.